## packagesearch 1.2

=== Makefile ===

all:
	( cd src ; qmake "CONFIG+=my_release"; make )
# create each plugin individually because the src/plugins/plugin.pro 
# does not forward config options ("CONFIG+=my_release")
	( cd src/plugins/aptplugin ; qmake "CONFIG+=my_release" ; make )
	( cd src/plugins/debtagsplugin ; qmake "CONFIG+=my_release" ; make )
	( cd src/plugins/filenameplugin ; qmake "CONFIG+=my_release" ; make )

clean:
	( cd src ; qmake  "CONFIG+=my_release" packagesearch.pro ; make clean )
	( cd src/plugins ; qmake "CONFIG+=my_release" plugins.pro ; make clean )

install:
	install -d /usr/lib/packagesearch
	install -d /usr/share/doc/packagesearch
	install -d /usr/local/bin
	install src/packagesearch /usr/local/bin/
	install -m 644 icons/packagesearch.png /usr/share/pixmaps/
	install -m 644 icons/packagesearch-whatsThis.png /usr/share/pixmaps/
	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
	install src/plugins/lib*so /usr/lib/packagesearch
	
uninstall:
	rm /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
	rmdir /usr/share/doc/packagesearch
	rm /usr/lib/packagesearch/libaptplugin.so
	rm /usr/lib/packagesearch/libdebtagsplugin.so
	rm /usr/lib/packagesearch/libfilenameplugin.so
	rmdir /usr/lib/packagesearch
	rm /usr/local/bin/packagesearch
	rm /usr/share/pixmaps/packagesearch.png
	rm /usr/share/pixmaps/packagesearch-whatsThis.png

=== src/Makefile ===
#############################################################################
# Makefile for building: packagesearch
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:50 2005
# Project:  packagesearch.pro
# Template: app
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/tagcoll -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = -Wl,-export-dynamic
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -ldebtags -lapt-pkg -lstdc++ -ltagcoll -lkdecore -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = packagesearchimpl.h \
		history.h \
		runcommand.h \
		runcommandinxterm.h \
		extalgorithm.h \
		applicationfactory.h \
		exception.h \
		helpers.h \
		informationplugin.h \
		plugin.h \
		iprovider.h \
		searchplugin.h \
		plugincontainer.h \
		singlehandlemaker.h \
		singleton.h \
		shortinformationplugin.h \
		runcommandinwindow.h \
		runcommandforoutput.h \
		xmldata.h \
		pluginmanager.h \
		ipluginuser.h \
		pluginlistitem.h \
		pluginsettingsdlg.h \
		plugininformer.h \
		baseplugincontainer.h \
		ipluginfactory.h \
		iplugininformer.h \
		cacheaccess.h \
		packagenotfoundexception.h \
		packagelistviewitem.h \
		packagenameplugin.h \
		iprogressobserver.h \
		progressdisplaydlg.h
SOURCES = main.cpp \
		packagesearchimpl.cpp \
		history.cpp \
		runcommand.cpp \
		runcommandinxterm.cpp \
		extalgorithm.cpp \
		applicationfactory.cpp \
		exception.cpp \
		plugincontainer.cpp \
		plugin.cpp \
		singleton.cpp \
		singlehandlemaker.cpp \
		runcommandinwindow.cpp \
		runcommandforoutput.cpp \
		instantiations.cpp \
		xmldata.cpp \
		pluginmanager.cpp \
		pluginlistitem.cpp \
		pluginsettingsdlg.cpp \
		plugininformer.cpp \
		baseplugincontainer.cpp \
		cacheaccess.cpp \
		packagenotfoundexception.cpp \
		packagelistviewitem.cpp \
		packagenameplugin.cpp \
		progressdisplaydlg.cpp
OBJECTS = .obj/main.o \
		.obj/packagesearchimpl.o \
		.obj/history.o \
		.obj/runcommand.o \
		.obj/runcommandinxterm.o \
		.obj/extalgorithm.o \
		.obj/applicationfactory.o \
		.obj/exception.o \
		.obj/plugincontainer.o \
		.obj/plugin.o \
		.obj/singleton.o \
		.obj/singlehandlemaker.o \
		.obj/runcommandinwindow.o \
		.obj/runcommandforoutput.o \
		.obj/instantiations.o \
		.obj/xmldata.o \
		.obj/pluginmanager.o \
		.obj/pluginlistitem.o \
		.obj/pluginsettingsdlg.o \
		.obj/plugininformer.o \
		.obj/baseplugincontainer.o \
		.obj/cacheaccess.o \
		.obj/packagenotfoundexception.o \
		.obj/packagelistviewitem.o \
		.obj/packagenameplugin.o \
		.obj/progressdisplaydlg.o \
		.obj/packagesearch.o \
		.obj/packagesearchaboutdlg.o \
		.obj/runcommandwidget.o \
		.obj/plugincontrol.o \
		.obj/pluginprogressdlg.o \
		.obj/columncontroldlg.o
FORMS = packagesearch.ui \
		packagesearchaboutdlg.ui \
		runcommandwidget.ui \
		plugincontrol.ui \
		pluginprogressdlg.ui \
		columncontroldlg.ui
UICDECLS = .ui/packagesearch.h \
		.ui/packagesearchaboutdlg.h \
		.ui/runcommandwidget.h \
		.ui/plugincontrol.h \
		.ui/pluginprogressdlg.h \
		.ui/columncontroldlg.h
UICIMPLS = .ui/packagesearch.cpp \
		.ui/packagesearchaboutdlg.cpp \
		.ui/runcommandwidget.cpp \
		.ui/plugincontrol.cpp \
		.ui/pluginprogressdlg.cpp \
		.ui/columncontroldlg.cpp
SRCMOC   = .moc/moc_packagesearchimpl.cpp \
		.moc/moc_runcommand.cpp \
		.moc/moc_searchplugin.cpp \
		.moc/moc_runcommandinwindow.cpp \
		.moc/moc_runcommandforoutput.cpp \
		.moc/moc_pluginmanager.cpp \
		.moc/moc_pluginlistitem.cpp \
		.moc/moc_pluginsettingsdlg.cpp \
		.moc/moc_progressdisplaydlg.cpp \
		.moc/moc_packagesearch.cpp \
		.moc/moc_packagesearchaboutdlg.cpp \
		.moc/moc_runcommandwidget.cpp \
		.moc/moc_plugincontrol.cpp \
		.moc/moc_pluginprogressdlg.cpp \
		.moc/moc_columncontroldlg.cpp
OBJMOC = .obj/moc_packagesearchimpl.o \
		.obj/moc_runcommand.o \
		.obj/moc_searchplugin.o \
		.obj/moc_runcommandinwindow.o \
		.obj/moc_runcommandforoutput.o \
		.obj/moc_pluginmanager.o \
		.obj/moc_pluginlistitem.o \
		.obj/moc_pluginsettingsdlg.o \
		.obj/moc_progressdisplaydlg.o \
		.obj/moc_packagesearch.o \
		.obj/moc_packagesearchaboutdlg.o \
		.obj/moc_runcommandwidget.o \
		.obj/moc_plugincontrol.o \
		.obj/moc_pluginprogressdlg.o \
		.obj/moc_columncontroldlg.o
DIST	   = packagesearch.pro
QMAKE_TARGET = packagesearch
DESTDIR  = 
TARGET   = packagesearch

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: packagesearch.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro

dist: 
	@mkdir -p .obj/packagesearch && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/packagesearch/ && $(COPY_FILE) --parents packagesearch.ui.h runcommandwidget.ui.h columncontroldlg.ui.h .obj/packagesearch/ && ( cd `dirname .obj/packagesearch` && $(TAR) packagesearch.tar packagesearch && $(GZIP) packagesearch.tar ) && $(MOVE) `dirname .obj/packagesearch`/packagesearch.tar.gz . && $(DEL_FILE) -r .obj/packagesearch

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp packagesearchimpl.h \
		.ui/packagesearch.h \
		iprovider.h \
		ipluginuser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/packagesearchimpl.o: packagesearchimpl.cpp packagesearchimpl.h \
		extalgorithm.h \
		helpers.h \
		runcommandforoutput.h \
		plugin.h \
		searchplugin.h \
		informationplugin.h \
		shortinformationplugin.h \
		plugincontainer.h \
		pluginmanager.h \
		plugincompare.h \
		packagenotfoundexception.h \
		packagenameplugin.h \
		xmldata.h \
		singlehandlemaker.h \
		.ui/columncontroldlg.h \
		packagelistviewitem.h \
		.ui/packagesearch.h \
		iprovider.h \
		ipluginuser.h \
		iplugininformer.h \
		plugininformer.h \
		exception.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagesearchimpl.o packagesearchimpl.cpp

.obj/history.o: history.cpp history.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/history.o history.cpp

.obj/runcommand.o: runcommand.cpp runcommand.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommand.o runcommand.cpp

.obj/runcommandinxterm.o: runcommandinxterm.cpp runcommandinxterm.h \
		extalgorithm.h \
		runcommand.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandinxterm.o runcommandinxterm.cpp

.obj/extalgorithm.o: extalgorithm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/extalgorithm.o extalgorithm.cpp

.obj/applicationfactory.o: applicationfactory.cpp applicationfactory.h \
		runcommandinwindow.h \
		runcommandinxterm.h \
		runcommand.h \
		.ui/runcommandwidget.h \
		extalgorithm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/applicationfactory.o applicationfactory.cpp

.obj/exception.o: exception.cpp exception.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/exception.o exception.cpp

.obj/plugincontainer.o: plugincontainer.cpp plugincontainer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugincontainer.o plugincontainer.cpp

.obj/plugin.o: plugin.cpp plugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugin.o plugin.cpp

.obj/singleton.o: singleton.cpp singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/singleton.o singleton.cpp

.obj/singlehandlemaker.o: singlehandlemaker.cpp singlehandlemaker.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/singlehandlemaker.o singlehandlemaker.cpp

.obj/runcommandinwindow.o: runcommandinwindow.cpp runcommandinwindow.h \
		runcommand.h \
		.ui/runcommandwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandinwindow.o runcommandinwindow.cpp

.obj/runcommandforoutput.o: runcommandforoutput.cpp runcommandforoutput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandforoutput.o runcommandforoutput.cpp

.obj/instantiations.o: instantiations.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/instantiations.o instantiations.cpp

.obj/xmldata.o: xmldata.cpp xmldata.h \
		helpers.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/xmldata.o xmldata.cpp

.obj/pluginmanager.o: pluginmanager.cpp extalgorithm.h \
		pluginmanager.h \
		plugincontainer.h \
		ipluginuser.h \
		iprovider.h \
		pluginlistitem.h \
		pluginsettingsdlg.h \
		progressdisplaydlg.h \
		.ui/plugincontrol.h \
		xmldata.h \
		helpers.h \
		plugininformer.h \
		iplugininformer.h \
		.ui/pluginprogressdlg.h \
		iprogressobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginmanager.o pluginmanager.cpp

.obj/pluginlistitem.o: pluginlistitem.cpp pluginlistitem.h \
		helpers.h \
		pluginmanager.h \
		xmldata.h \
		plugininformer.h \
		plugincontainer.h \
		iplugininformer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginlistitem.o pluginlistitem.cpp

.obj/pluginsettingsdlg.o: pluginsettingsdlg.cpp pluginsettingsdlg.h \
		plugincontainer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginsettingsdlg.o pluginsettingsdlg.cpp

.obj/plugininformer.o: plugininformer.cpp plugininformer.h \
		ipluginuser.h \
		iplugininformer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugininformer.o plugininformer.cpp

.obj/baseplugincontainer.o: baseplugincontainer.cpp baseplugincontainer.h \
		plugin.h \
		iprovider.h \
		ipluginfactory.h \
		helpers.h \
		plugincontainer.h \
		plugininformer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/baseplugincontainer.o baseplugincontainer.cpp

.obj/cacheaccess.o: cacheaccess.cpp cacheaccess.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/cacheaccess.o cacheaccess.cpp

.obj/packagenotfoundexception.o: packagenotfoundexception.cpp packagenotfoundexception.h \
		exception.h \
		singlehandlemaker.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagenotfoundexception.o packagenotfoundexception.cpp

.obj/packagelistviewitem.o: packagelistviewitem.cpp packagelistviewitem.h \
		singlehandlemaker.h \
		helpers.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagelistviewitem.o packagelistviewitem.cpp

.obj/packagenameplugin.o: packagenameplugin.cpp packagenameplugin.h \
		singlehandlemaker.h \
		helpers.h \
		shortinformationplugin.h \
		plugin.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagenameplugin.o packagenameplugin.cpp

.obj/progressdisplaydlg.o: progressdisplaydlg.cpp progressdisplaydlg.h \
		.ui/pluginprogressdlg.h \
		iprogressobserver.h

=== src/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:50 2005
# Project:  plugins.pro
# Template: subdirs
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-aptplugin \
		sub-debtagsplugin \
		sub-filenameplugin

first: all

all: Makefile $(SUBTARGETS)

aptplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "aptplugin" || $(MKDIR) "aptplugin"
	cd aptplugin && $(QMAKE) aptplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-aptplugin: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE)

debtagsplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "debtagsplugin" || $(MKDIR) "debtagsplugin"
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-debtagsplugin: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE)

filenameplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "filenameplugin" || $(MKDIR) "filenameplugin"
	cd filenameplugin && $(QMAKE) filenameplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-filenameplugin: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE)

Makefile: plugins.pro  /usr/share/qt3/mkspecs/default/qmake.conf 
	$(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro
qmake: qmake_all
	@$(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro

all: $(SUBTARGETS)
qmake_all: aptplugin/$(MAKEFILE) debtagsplugin/$(MAKEFILE) filenameplugin/$(MAKEFILE)
	 ( [ -d aptplugin ] && cd aptplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

=== src/plugins/aptplugin/Makefile ===
#############################################################################
# Makefile for building: libaptplugin.so
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:51 2005
# Project:  aptplugin.pro
# Template: lib
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I../.. -I/usr/include/tagcoll -I/usr/include/debtags -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = -shared
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -lkdecore -lqt-mt -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = aptplugincontainer.h \
		aptsearchplugin.h \
		packagedescriptionplugin.h \
		packagestatusplugin.h \
		aptpluginfactory.h \
		ipackagedb.h \
		dumpavailpackagedb.h \
		package.h \
		iaptsearch.h \
		installedversionplugin.h \
		availableversionplugin.h
SOURCES = aptplugincontainer.cpp \
		aptsearchplugin.cpp \
		packagedescriptionplugin.cpp \
		packagestatusplugin.cpp \
		aptpluginfactory.cpp \
		ipackagedb.cpp \
		dumpavailpackagedb.cpp \
		package.cpp \
		iaptsearch.cpp \
		installedversionplugin.cpp \
		availableversionplugin.cpp
OBJECTS = .obj/aptplugincontainer.o \
		.obj/aptsearchplugin.o \
		.obj/packagedescriptionplugin.o \
		.obj/packagestatusplugin.o \
		.obj/aptpluginfactory.o \
		.obj/ipackagedb.o \
		.obj/dumpavailpackagedb.o \
		.obj/package.o \
		.obj/iaptsearch.o \
		.obj/installedversionplugin.o \
		.obj/availableversionplugin.o \
		.obj/aptsearchpluginshortinputwidget.o \
		.obj/installedfilterwidget.o
FORMS = aptsearchpluginshortinputwidget.ui \
		installedfilterwidget.ui
UICDECLS = .ui/aptsearchpluginshortinputwidget.h \
		.ui/installedfilterwidget.h
UICIMPLS = .ui/aptsearchpluginshortinputwidget.cpp \
		.ui/installedfilterwidget.cpp
SRCMOC   = .moc/moc_aptplugincontainer.cpp \
		.moc/moc_aptsearchplugin.cpp \
		.moc/moc_packagestatusplugin.cpp \
		.moc/moc_aptsearchpluginshortinputwidget.cpp \
		.moc/moc_installedfilterwidget.cpp
OBJMOC = .obj/moc_aptplugincontainer.o \
		.obj/moc_aptsearchplugin.o \
		.obj/moc_packagestatusplugin.o \
		.obj/moc_aptsearchpluginshortinputwidget.o \
		.obj/moc_installedfilterwidget.o
DIST	   = aptplugin.pro
QMAKE_TARGET = aptplugin
DESTDIR  = ../
TARGET   = libaptplugin.so
TARGETD   = libaptplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../ || mkdir -p ../
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: aptplugin.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro

dist: 
	@mkdir -p .obj/aptplugin && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/aptplugin/ && ( cd `dirname .obj/aptplugin` && $(TAR) aptplugin.tar aptplugin && $(GZIP) aptplugin.tar ) && $(MOVE) `dirname .obj/aptplugin`/aptplugin.tar.gz . && $(DEL_FILE) -r .obj/aptplugin

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/aptplugincontainer.o: aptplugincontainer.cpp aptplugincontainer.h \
		dumpavailpackagedb.h \
		aptpluginfactory.h \
		aptsearchplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h \
		aptpackages.h \
		iaptmediator.h \
		iaptsearch.h \
		ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptplugincontainer.o aptplugincontainer.cpp

.obj/aptsearchplugin.o: aptsearchplugin.cpp aptsearchplugin.h \
		.ui/aptsearchpluginshortinputwidget.h \
		aptpackages.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchplugin.o aptsearchplugin.cpp

.obj/packagedescriptionplugin.o: packagedescriptionplugin.cpp packagedescriptionplugin.h \
		aptpackages.h \
		ipackagedb.h \
		iaptmediator.h \
		package.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagedescriptionplugin.o packagedescriptionplugin.cpp

.obj/packagestatusplugin.o: packagestatusplugin.cpp packagestatusplugin.h \
		.ui/installedfilterwidget.h \
		ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagestatusplugin.o packagestatusplugin.cpp

.obj/aptpluginfactory.o: aptpluginfactory.cpp aptpluginfactory.h \
		aptsearchplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h \
		aptpackages.h \
		iaptsearch.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptpluginfactory.o aptpluginfactory.cpp

.obj/ipackagedb.o: ipackagedb.cpp ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ipackagedb.o ipackagedb.cpp

.obj/dumpavailpackagedb.o: dumpavailpackagedb.cpp dumpavailpackagedb.h \
		ipackagedb.h \
		iaptsearch.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dumpavailpackagedb.o dumpavailpackagedb.cpp

.obj/package.o: package.cpp package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/package.o package.cpp

.obj/iaptsearch.o: iaptsearch.cpp iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/iaptsearch.o iaptsearch.cpp

.obj/installedversionplugin.o: installedversionplugin.cpp installedversionplugin.h \
		package.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/installedversionplugin.o installedversionplugin.cpp

.obj/availableversionplugin.o: availableversionplugin.cpp availableversionplugin.h \
		package.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/availableversionplugin.o availableversionplugin.cpp

.ui/aptsearchpluginshortinputwidget.h: aptsearchpluginshortinputwidget.ui 
	$(UIC) aptsearchpluginshortinputwidget.ui -o .ui/aptsearchpluginshortinputwidget.h

.ui/aptsearchpluginshortinputwidget.cpp: .ui/aptsearchpluginshortinputwidget.h aptsearchpluginshortinputwidget.ui 
	$(UIC) aptsearchpluginshortinputwidget.ui -i aptsearchpluginshortinputwidget.h -o .ui/aptsearchpluginshortinputwidget.cpp

.ui/installedfilterwidget.h: installedfilterwidget.ui 
	$(UIC) installedfilterwidget.ui -o .ui/installedfilterwidget.h

.ui/installedfilterwidget.cpp: .ui/installedfilterwidget.h installedfilterwidget.ui 
	$(UIC) installedfilterwidget.ui -i installedfilterwidget.h -o .ui/installedfilterwidget.cpp

.obj/aptsearchpluginshortinputwidget.o: .ui/aptsearchpluginshortinputwidget.cpp .ui/aptsearchpluginshortinputwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchpluginshortinputwidget.o .ui/aptsearchpluginshortinputwidget.cpp

.obj/installedfilterwidget.o: .ui/installedfilterwidget.cpp .ui/installedfilterwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/installedfilterwidget.o .ui/installedfilterwidget.cpp

.obj/moc_aptplugincontainer.o: .moc/moc_aptplugincontainer.cpp  aptplugincontainer.h aptpackages.h \
		iaptmediator.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptplugincontainer.o .moc/moc_aptplugincontainer.cpp

.obj/moc_aptsearchplugin.o: .moc/moc_aptsearchplugin.cpp  aptsearchplugin.h aptpackages.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptsearchplugin.o .moc/moc_aptsearchplugin.cpp

.obj/moc_packagestatusplugin.o: .moc/moc_packagestatusplugin.cpp  packagestatusplugin.h package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_packagestatusplugin.o .moc/moc_packagestatusplugin.cpp

.obj/moc_aptsearchpluginshortinputwidget.o: .moc/moc_aptsearchpluginshortinputwidget.cpp  .ui/aptsearchpluginshortinputwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptsearchpluginshortinputwidget.o .moc/moc_aptsearchpluginshortinputwidget.cpp

.obj/moc_installedfilterwidget.o: .moc/moc_installedfilterwidget.cpp  .ui/installedfilterwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_installedfilterwidget.o .moc/moc_installedfilterwidget.cpp

.moc/moc_aptplugincontainer.cpp: $(MOC) aptplugincontainer.h
	$(MOC) aptplugincontainer.h -o .moc/moc_aptplugincontainer.cpp

.moc/moc_aptsearchplugin.cpp: $(MOC) aptsearchplugin.h
	$(MOC) aptsearchplugin.h -o .moc/moc_aptsearchplugin.cpp

.moc/moc_packagestatusplugin.cpp: $(MOC) packagestatusplugin.h
	$(MOC) packagestatusplugin.h -o .moc/moc_packagestatusplugin.cpp

.moc/moc_aptsearchpluginshortinputwidget.cpp: $(MOC) .ui/aptsearchpluginshortinputwidget.h
	$(MOC) .ui/aptsearchpluginshortinputwidget.h -o .moc/moc_aptsearchpluginshortinputwidget.cpp

.moc/moc_installedfilterwidget.cpp: $(MOC) .ui/installedfilterwidget.h
	$(MOC) .ui/installedfilterwidget.h -o .moc/moc_installedfilterwidget.cpp

####### Install

install:  

uninstall:

=== src/plugins/debtagsplugin/Makefile ===
#############################################################################
# Makefile for building: libdebtagsplugin.so
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:51 2005
# Project:  debtagsplugin.pro
# Template: lib
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile debtagsplugin.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I. -I../.. -I/usr/include/tagcoll -I/usr/include/debtags -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = -shared
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -lkdecore -lqt-mt -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = debtagsplugin.h \
		debtagsplugincontainer.h \
		relatedplugin.h \
		stringtagcollbuilder.h \
		tagitem.h \
		taglistviewitem.h \
		tagselectionlistview.h \
		tagselectionview.h \
		tagselectionwidget.h \
		selectioninputanddisplay.h \
		debtagssettingswidget.ui.h \
		selectedfacetsmatcher.h \
		debtagspluginfactory.h
SOURCES = debtagsplugin.cpp \
		debtagsplugincontainer.cpp \
		relatedplugin.cpp \
		stringtagcollbuilder.cpp \
		tagitem.cpp \
		taglistviewitem.cpp \
		tagselectionlistview.cpp \
		tagselectionview.cpp \
		tagselectionwidget.cpp \
		selectioninputanddisplay.cpp \
		selectedfacetsmatcher.cpp \
		instantiations.cpp \
		debtagspluginfactory.cpp
OBJECTS = .obj/debtagsplugin.o \
		.obj/debtagsplugincontainer.o \
		.obj/relatedplugin.o \
		.obj/stringtagcollbuilder.o \
		.obj/tagitem.o \
		.obj/taglistviewitem.o \
		.obj/tagselectionlistview.o \
		.obj/tagselectionview.o \
		.obj/tagselectionwidget.o \
		.obj/selectioninputanddisplay.o \
		.obj/selectedfacetsmatcher.o \
		.obj/instantiations.o \
		.obj/debtagspluginfactory.o \
		.obj/choosentagsdisplay.o \
		.obj/relatedfeedbackwidget.o \
		.obj/relatedinput.o \
		.obj/tagchooserwidget.o \
		.obj/debtagssettingswidget.o
FORMS = choosentagsdisplay.ui \
		relatedfeedbackwidget.ui \
		relatedinput.ui \
		tagchooserwidget.ui \
		debtagssettingswidget.ui
UICDECLS = .ui/choosentagsdisplay.h \
		.ui/relatedfeedbackwidget.h \
		.ui/relatedinput.h \
		.ui/tagchooserwidget.h \
		.ui/debtagssettingswidget.h
UICIMPLS = .ui/choosentagsdisplay.cpp \
		.ui/relatedfeedbackwidget.cpp \
		.ui/relatedinput.cpp \
		.ui/tagchooserwidget.cpp \
		.ui/debtagssettingswidget.cpp
SRCMOC   = .moc/moc_debtagsplugin.cpp \
		.moc/moc_debtagsplugincontainer.cpp \
		.moc/moc_relatedplugin.cpp \
		.moc/moc_taglistviewitem.cpp \
		.moc/moc_tagselectionlistview.cpp \
		.moc/moc_tagselectionwidget.cpp \
		.moc/moc_selectioninputanddisplay.cpp \
		.moc/moc_choosentagsdisplay.cpp \
		.moc/moc_relatedfeedbackwidget.cpp \
		.moc/moc_relatedinput.cpp \
		.moc/moc_tagchooserwidget.cpp \
		.moc/moc_debtagssettingswidget.cpp
OBJMOC = .obj/moc_debtagsplugin.o \
		.obj/moc_debtagsplugincontainer.o \
		.obj/moc_relatedplugin.o \
		.obj/moc_taglistviewitem.o \
		.obj/moc_tagselectionlistview.o \
		.obj/moc_tagselectionwidget.o \
		.obj/moc_selectioninputanddisplay.o \
		.obj/moc_choosentagsdisplay.o \
		.obj/moc_relatedfeedbackwidget.o \
		.obj/moc_relatedinput.o \
		.obj/moc_tagchooserwidget.o \
		.obj/moc_debtagssettingswidget.o
DIST	   = debtagsplugin.pro
QMAKE_TARGET = debtagsplugin
DESTDIR  = ../
TARGET   = libdebtagsplugin.so
TARGETD   = libdebtagsplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../ || mkdir -p ../
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: debtagsplugin.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile debtagsplugin.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile debtagsplugin.pro

dist: 
	@mkdir -p .obj/debtagsplugin && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/debtagsplugin/ && $(COPY_FILE) --parents debtagssettingswidget.ui.h .obj/debtagsplugin/ && ( cd `dirname .obj/debtagsplugin` && $(TAR) debtagsplugin.tar debtagsplugin && $(GZIP) debtagsplugin.tar ) && $(MOVE) `dirname .obj/debtagsplugin`/debtagsplugin.tar.gz . && $(DEL_FILE) -r .obj/debtagsplugin

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/debtagsplugin.o: debtagsplugin.cpp debtagsplugin.h \
		stringtagcollbuilder.h \
		selectioninputanddisplay.h \
		tagselectionwidget.h \
		.ui/choosentagsdisplay.h \
		debtagsplugincontainer.h \
		.ui/tagchooserwidget.h \
		tagselectionlistview.h \
		tagselectionview.h \
		taglistviewitem.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/debtagsplugin.o debtagsplugin.cpp

.obj/debtagsplugincontainer.o: debtagsplugincontainer.cpp debtagsplugincontainer.h \
		debtagsplugin.h \
		relatedplugin.h \
		debtagspluginfactory.h \
		stringtagcollbuilder.h \
		selectedfacetsmatcher.h \
		.ui/debtagssettingswidget.h \
		.ui/tagchooserwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/debtagsplugincontainer.o debtagsplugincontainer.cpp

.obj/relatedplugin.o: relatedplugin.cpp relatedplugin.h \
		.ui/relatedinput.h \
		.ui/relatedfeedbackwidget.h \
		debtagsplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/relatedplugin.o relatedplugin.cpp

.obj/stringtagcollbuilder.o: stringtagcollbuilder.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/stringtagcollbuilder.o stringtagcollbuilder.cpp

.obj/tagitem.o: tagitem.cpp tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tagitem.o tagitem.cpp

.obj/taglistviewitem.o: taglistviewitem.cpp taglistviewitem.h \
		tagselectionview.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/taglistviewitem.o taglistviewitem.cpp

.obj/tagselectionlistview.o: tagselectionlistview.cpp tagselectionlistview.h \
		taglistviewitem.h \
		tagselectionview.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tagselectionlistview.o tagselectionlistview.cpp

.obj/tagselectionview.o: tagselectionview.cpp tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tagselectionview.o tagselectionview.cpp

.obj/tagselectionwidget.o: tagselectionwidget.cpp tagselectionwidget.h \
		tagselectionlistview.h \
		tagselectionview.h \
		taglistviewitem.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tagselectionwidget.o tagselectionwidget.cpp

.obj/selectioninputanddisplay.o: selectioninputanddisplay.cpp selectioninputanddisplay.h \
		tagselectionwidget.h \
		tagselectionlistview.h \
		tagselectionview.h \
		taglistviewitem.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/selectioninputanddisplay.o selectioninputanddisplay.cpp

.obj/selectedfacetsmatcher.o: selectedfacetsmatcher.cpp selectedfacetsmatcher.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/selectedfacetsmatcher.o selectedfacetsmatcher.cpp

.obj/instantiations.o: instantiations.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/instantiations.o instantiations.cpp

.obj/debtagspluginfactory.o: debtagspluginfactory.cpp debtagspluginfactory.h \
		debtagsplugin.h \
		relatedplugin.h \
		debtagsplugincontainer.h \
		.ui/tagchooserwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/debtagspluginfactory.o debtagspluginfactory.cpp

.ui/choosentagsdisplay.h: choosentagsdisplay.ui 
	$(UIC) choosentagsdisplay.ui -o .ui/choosentagsdisplay.h

.ui/choosentagsdisplay.cpp: .ui/choosentagsdisplay.h choosentagsdisplay.ui 
	$(UIC) choosentagsdisplay.ui -i choosentagsdisplay.h -o .ui/choosentagsdisplay.cpp

.ui/relatedfeedbackwidget.h: relatedfeedbackwidget.ui 
	$(UIC) relatedfeedbackwidget.ui -o .ui/relatedfeedbackwidget.h

.ui/relatedfeedbackwidget.cpp: .ui/relatedfeedbackwidget.h relatedfeedbackwidget.ui 
	$(UIC) relatedfeedbackwidget.ui -i relatedfeedbackwidget.h -o .ui/relatedfeedbackwidget.cpp

.ui/relatedinput.h: relatedinput.ui 
	$(UIC) relatedinput.ui -o .ui/relatedinput.h

.ui/relatedinput.cpp: .ui/relatedinput.h relatedinput.ui 
	$(UIC) relatedinput.ui -i relatedinput.h -o .ui/relatedinput.cpp

.ui/tagchooserwidget.h: tagchooserwidget.ui 
	$(UIC) tagchooserwidget.ui -o .ui/tagchooserwidget.h

.ui/tagchooserwidget.cpp: .ui/tagchooserwidget.h tagchooserwidget.ui 
	$(UIC) tagchooserwidget.ui -i tagchooserwidget.h -o .ui/tagchooserwidget.cpp

.ui/debtagssettingswidget.h: debtagssettingswidget.ui 
	$(UIC) debtagssettingswidget.ui -o .ui/debtagssettingswidget.h

.ui/debtagssettingswidget.cpp: .ui/debtagssettingswidget.h debtagssettingswidget.ui 
	$(UIC) debtagssettingswidget.ui -i debtagssettingswidget.h -o .ui/debtagssettingswidget.cpp

.obj/choosentagsdisplay.o: .ui/choosentagsdisplay.cpp .ui/choosentagsdisplay.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/choosentagsdisplay.o .ui/choosentagsdisplay.cpp

.obj/relatedfeedbackwidget.o: .ui/relatedfeedbackwidget.cpp .ui/relatedfeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/relatedfeedbackwidget.o .ui/relatedfeedbackwidget.cpp

.obj/relatedinput.o: .ui/relatedinput.cpp .ui/relatedinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/relatedinput.o .ui/relatedinput.cpp

.obj/tagchooserwidget.o: .ui/tagchooserwidget.cpp .ui/tagchooserwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/tagchooserwidget.o .ui/tagchooserwidget.cpp

.obj/debtagssettingswidget.o: .ui/debtagssettingswidget.cpp debtagssettingswidget.ui.h \
		.ui/debtagssettingswidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/debtagssettingswidget.o .ui/debtagssettingswidget.cpp

.obj/moc_debtagsplugin.o: .moc/moc_debtagsplugin.cpp  debtagsplugin.h debtagsplugincontainer.h \
		.ui/tagchooserwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_debtagsplugin.o .moc/moc_debtagsplugin.cpp

.obj/moc_debtagsplugincontainer.o: .moc/moc_debtagsplugincontainer.cpp  debtagsplugincontainer.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_debtagsplugincontainer.o .moc/moc_debtagsplugincontainer.cpp

.obj/moc_relatedplugin.o: .moc/moc_relatedplugin.cpp  relatedplugin.h debtagsplugincontainer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_relatedplugin.o .moc/moc_relatedplugin.cpp

.obj/moc_taglistviewitem.o: .moc/moc_taglistviewitem.cpp  taglistviewitem.h tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_taglistviewitem.o .moc/moc_taglistviewitem.cpp

.obj/moc_tagselectionlistview.o: .moc/moc_tagselectionlistview.cpp  tagselectionlistview.h tagselectionview.h \
		taglistviewitem.h \
		tagitem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_tagselectionlistview.o .moc/moc_tagselectionlistview.cpp

.obj/moc_tagselectionwidget.o: .moc/moc_tagselectionwidget.cpp  tagselectionwidget.h tagselectionlistview.h \
		tagselectionview.h \
		taglistviewitem.h \

=== src/plugins/filenameplugin/Makefile ===
#############################################################################
# Makefile for building: libfilenameplugin.so
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:51 2005
# Project:  filenameplugin.pro
# Template: lib
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile filenameplugin.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I../.. -I/usr/include/tagcoll -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = -shared
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -lkdecore -lqt-mt -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = filenameplugin.h \
		filenameplugincontainer.h \
		filenameview.ui.h \
		filenamepluginfactory.h
SOURCES = filenameplugin.cpp \
		filenameplugincontainer.cpp \
		filenamepluginfactory.cpp
OBJECTS = .obj/filenameplugin.o \
		.obj/filenameplugincontainer.o \
		.obj/filenamepluginfactory.o \
		.obj/filenamefeedbackwidget.o \
		.obj/filenamesearchinput.o \
		.obj/filenameview.o
FORMS = filenamefeedbackwidget.ui \
		filenamesearchinput.ui \
		filenameview.ui
UICDECLS = .ui/filenamefeedbackwidget.h \
		.ui/filenamesearchinput.h \
		.ui/filenameview.h
UICIMPLS = .ui/filenamefeedbackwidget.cpp \
		.ui/filenamesearchinput.cpp \
		.ui/filenameview.cpp
SRCMOC   = .moc/moc_filenameplugin.cpp \
		.moc/moc_filenameplugincontainer.cpp \
		.moc/moc_filenamefeedbackwidget.cpp \
		.moc/moc_filenamesearchinput.cpp \
		.moc/moc_filenameview.cpp
OBJMOC = .obj/moc_filenameplugin.o \
		.obj/moc_filenameplugincontainer.o \
		.obj/moc_filenamefeedbackwidget.o \
		.obj/moc_filenamesearchinput.o \
		.obj/moc_filenameview.o
DIST	   = filenameplugin.pro
QMAKE_TARGET = filenameplugin
DESTDIR  = ../
TARGET   = libfilenameplugin.so
TARGETD   = libfilenameplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../ || mkdir -p ../
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: filenameplugin.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile filenameplugin.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile filenameplugin.pro

dist: 
	@mkdir -p .obj/filenameplugin && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/filenameplugin/ && $(COPY_FILE) --parents filenameview.ui.h .obj/filenameplugin/ && ( cd `dirname .obj/filenameplugin` && $(TAR) filenameplugin.tar filenameplugin && $(GZIP) filenameplugin.tar ) && $(MOVE) `dirname .obj/filenameplugin`/filenameplugin.tar.gz . && $(DEL_FILE) -r .obj/filenameplugin

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/filenameplugin.o: filenameplugin.cpp filenameplugin.h \
		.ui/filenameview.h \
		.ui/filenamesearchinput.h \
		.ui/filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugin.o filenameplugin.cpp

.obj/filenameplugincontainer.o: filenameplugincontainer.cpp filenameplugincontainer.h \
		filenameplugin.h \
		filenamepluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugincontainer.o filenameplugincontainer.cpp

.obj/filenamepluginfactory.o: filenamepluginfactory.cpp filenamepluginfactory.h \
		filenameplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamepluginfactory.o filenamepluginfactory.cpp

.ui/filenamefeedbackwidget.h: filenamefeedbackwidget.ui 
	$(UIC) filenamefeedbackwidget.ui -o .ui/filenamefeedbackwidget.h

.ui/filenamefeedbackwidget.cpp: .ui/filenamefeedbackwidget.h filenamefeedbackwidget.ui 
	$(UIC) filenamefeedbackwidget.ui -i filenamefeedbackwidget.h -o .ui/filenamefeedbackwidget.cpp

.ui/filenamesearchinput.h: filenamesearchinput.ui 
	$(UIC) filenamesearchinput.ui -o .ui/filenamesearchinput.h

.ui/filenamesearchinput.cpp: .ui/filenamesearchinput.h filenamesearchinput.ui 
	$(UIC) filenamesearchinput.ui -i filenamesearchinput.h -o .ui/filenamesearchinput.cpp

.ui/filenameview.h: filenameview.ui 
	$(UIC) filenameview.ui -o .ui/filenameview.h

.ui/filenameview.cpp: .ui/filenameview.h filenameview.ui 
	$(UIC) filenameview.ui -i filenameview.h -o .ui/filenameview.cpp

.obj/filenamefeedbackwidget.o: .ui/filenamefeedbackwidget.cpp .ui/filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamefeedbackwidget.o .ui/filenamefeedbackwidget.cpp

.obj/filenamesearchinput.o: .ui/filenamesearchinput.cpp .ui/filenamesearchinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamesearchinput.o .ui/filenamesearchinput.cpp

.obj/filenameview.o: .ui/filenameview.cpp filenameview.ui.h \
		.ui/filenameview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameview.o .ui/filenameview.cpp

.obj/moc_filenameplugin.o: .moc/moc_filenameplugin.cpp  filenameplugin.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugin.o .moc/moc_filenameplugin.cpp

.obj/moc_filenameplugincontainer.o: .moc/moc_filenameplugincontainer.cpp  filenameplugincontainer.h filenamepluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugincontainer.o .moc/moc_filenameplugincontainer.cpp

.obj/moc_filenamefeedbackwidget.o: .moc/moc_filenamefeedbackwidget.cpp  .ui/filenamefeedbackwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamefeedbackwidget.o .moc/moc_filenamefeedbackwidget.cpp

.obj/moc_filenamesearchinput.o: .moc/moc_filenamesearchinput.cpp  .ui/filenamesearchinput.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamesearchinput.o .moc/moc_filenamesearchinput.cpp

.obj/moc_filenameview.o: .moc/moc_filenameview.cpp  .ui/filenameview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameview.o .moc/moc_filenameview.cpp

.moc/moc_filenameplugin.cpp: $(MOC) filenameplugin.h
	$(MOC) filenameplugin.h -o .moc/moc_filenameplugin.cpp

.moc/moc_filenameplugincontainer.cpp: $(MOC) filenameplugincontainer.h
	$(MOC) filenameplugincontainer.h -o .moc/moc_filenameplugincontainer.cpp

.moc/moc_filenamefeedbackwidget.cpp: $(MOC) .ui/filenamefeedbackwidget.h
	$(MOC) .ui/filenamefeedbackwidget.h -o .moc/moc_filenamefeedbackwidget.cpp

.moc/moc_filenamesearchinput.cpp: $(MOC) .ui/filenamesearchinput.h
	$(MOC) .ui/filenamesearchinput.h -o .moc/moc_filenamesearchinput.cpp

.moc/moc_filenameview.cpp: $(MOC) .ui/filenameview.h
	$(MOC) .ui/filenameview.h -o .moc/moc_filenameview.cpp

####### Install

install:  

uninstall:

=== debian/changelog ===
packagesearch (1.2) unstable; urgency=low

  * New upstream release (excerpt from the changelog file)
    - added --help and --version options (Closes: #299015)
    - fixed display of command output (correct handling of CR/LF and CR only,
      no unneccesary scrolling) (Closes: #299015)
      Thanks to Ross Boylan for his bug reports

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 22 Mar 2005 11:07:09 +0100

packagesearch (1.1) unstable; urgency=low

  * New upstream release 
  * the new version comes with a new backend not using libapt any more
    but using the kpackage approach of parsing the output of apt-get dumpavail 
    now (Closes: #291761) 

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 14 Mar 2005 11:19:20 +0100

packagesearch (1.0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Fri, 21 Jan 2005 16:13:13 +0100

packagesearch (1.0) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 31 Oct 2004 14:04:01 +0100

packagesearch (0.6) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 21 Sep 2004 15:18:07 +0200

packagesearch (0.5) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 16 Aug 2004 15:16:41 +0200

packagesearch (0.4.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed,  4 Aug 2004 14:28:50 +0200

packagesearch (0.4) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue,  3 Aug 2004 20:35:59 +0200

packagesearch (0.3) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 28 Jul 2004 13:37:56 +0200

packagesearch (0.2) unstable; urgency=low

  * New upstream release 

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 15 Jul 2004 14:42:14 +0200

packagesearch (0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun,  6 Jun 2004 16:25:19 +0200

packagesearch (0.0.3) unstable; urgency=low

  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 26 May 2004 18:48:02 +0200

packagesearch (0.0.2-1) unstable; urgency=low

  * Initial Release.
  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 27 Apr 2004 19:40:58 +0200

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libdebtags-dev (>= 0.9), libqt3-mt-dev (>= 3.2), libapt-pkg-dev, kdelibs4-dev, docbook-to-man
Standards-Version: 3.6.1.0

Package: packagesearch
Architecture: any
Depends: apt, ${shlibs:Depends}, ${misc:Depends}
Recommends: debtags, apt-file
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It 
 should make the task of searching a pleasant experience. 
 The new categorisation system "debtags" is supported.
 Search can be done by pattern, tags, files and installed status.
 Additionally a lot of information about the packages is displayed
 including the files belonging to them.
 .
 The program is not meant to be a package managment tool like synaptic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	docbook-to-man debian/packagesearch.sgml > debian/packagesearch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin usr/share/pixmaps usr/share/doc/packagesearch usr/lib/packagesearch

	# Add here commands to install the package into debian/packagesearch.
#	./deb_install.pl	# install the release files into the debian/packagesearch

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/packagesearch.1
#	dh_link
	dh_strip
	# compress files in the doc directory, exclude COPYING.txt because this is needed
	# by packagesearch itself
	dh_compress -XCOPYING.txt
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
